package com.yidian.shenghuoquan.border.ui.widget

import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import androidx.constraintlayout.widget.ConstraintLayout
import androidx.databinding.DataBindingUtil
import com.yidian.shenghuoquan.border.R
import com.yidian.shenghuoquan.border.databinding.BorderViewOrderPickupPointInfoBinding
import com.yidian.shenghuoquan.border.dto.PlaceList
import com.yidian.shenghuoquan.border.manager.OrderStatus
import com.yidian.shenghuoquan.border.viewmodel.OrderPickupPointViewModel

/**
 * author: yinjiacheng
 * date: 2021/8/21 13:45
 * description: 订单自提点信息
 */
class OrderPickupPointInfoView @JvmOverloads constructor(context: Context, attrs: AttributeSet? = null, defStyle: Int = 0) :
  ConstraintLayout(context, attrs, defStyle) {

  private val binding =
    DataBindingUtil.inflate<BorderViewOrderPickupPointInfoBinding>(
      LayoutInflater.from(getContext()),
      R.layout.border_view_order_pickup_point_info,
      this,
      true
    )

  /**
   * 设置自提点
   * @param status 订单状态 确认订单时固定传ORDER_STATUS_CONFIRM
   * @param info 自提点信息
   */
  fun setPickupPoint(status: OrderStatus?, info: PlaceList?) {
    binding.vm = OrderPickupPointViewModel()
    binding.data = info
  }
}
